<?php
require_once("inc_init.php");
require_once("inc/getInventory.php");
//page level stuff
$plc_title="Report";
$plc_keywords="";
$plc_description="";
$plc_content="";
$plc_err="";

$download=false;

$member;
//ON POSTBACK
$datYesterday = new DateTime('yesterday');
$datToday = new DateTime();
$orders=new order();
$orders->datStart=$datYesterday->format('Y-m-d');
$orders->datEnd=$datToday->format('Y-m-d');

if(isset($_POST)&&!empty($_POST)){
	if(isset($_POST['datStart'])&&!empty($_POST['datStart'])&&isset($_POST['datEnd'])&&!empty($_POST['datEnd'])){
	  //SELECT DATE RANGE	
	  $datstart=new DateTime($_POST['datStart']);
	  $datend=new DateTime($_POST['datEnd']);
	  
	  $orders->datStart=$datstart->format('Y-m-d');
	  $orders->datEnd=$datend->format('Y-m-d');
	  
	  $download=true;
	
	}
	else{
		$plc_err = "Please fill out all fields";
	}
	
}

$orders->getAllByDates();

//ADD Tracking Numbers to $order->arrOrders
//require_once("inc/addTrackingNumbers.php");

if($download):
	header("Content-type: text/csv");
	header("Content-Disposition: attachment; filename=PayflexReport.csv");
	header("Pragma: no-cache");
	header("Expires: 0");
	//HEADER ROW:
	echo "id".",";
	echo "Company Name".",";
	echo "Attention Name".",";
	echo "Shipping Email".",";
	echo "Shipping Addr1".",";
	echo "Shipping City State Zip".",";
	echo "Name" .",";
	echo "Email" .",";
	echo "Phone".",";
	echo "PayFlex Account Manager".",";
	echo "Requested".",";
	echo "Contact Phone".",";
	echo "Is for meeting".",";
	echo "Requested Date".",";
	echo "Giveaways".",";
	echo "Comment".",";
	echo "HSA Flyer".",";
	echo "HSALPFSA Flyer".",";
	echo "FSA Flyer".",";
	echo "PFCard Flyer".",";
	echo "CommuterBenefits Flyer".",";
	echo "HSA Spanish Flyer".",";
	echo "FSA Spanish Flyer".",";
	echo "PF Spanish PFCard Flyer".",";
	echo "Commuter Spanish Flyer".",";
	echo "Tracking Number(s)"."\n";
	echo generateCsv($orders->arrOrders)."\n";
	

else:

ob_start();
?>

<div class="body" style="padding:10px;position:relative; clear:both;">
  <h1>PayFlex orders report</h1>
  
  <h2>Inventory</h2>
  <table style="width:600px">
    <tr>
	  <!--<th>SKU</th>-->
      <th>Item</th>
      <th>Count</th>
    </tr>
	<?php 
	foreach ($inventoryArray as $id => &$data) { 
		foreach ($data as $description => &$count) { ?>
			<tr>
			  <!--<td><?php print $id; ?></td>-->
			  <td><?php print $description ?></td>
			  <td><?php print $count ?></td>
			</tr>
	<?php
		}
	} ?>
  </table>
  
  <h2>Generate Report</h2>
  <form action="" method="post">
    Start Date: <input type="text" name="datStart" class="datpicker"/>  <br/>
    End Date: <input type="text" name="datEnd"  class="datpicker"/>  <br/>
    <input type="submit" value="Save"/>
  </form>
</div>
<?php
$plc_content=ob_get_contents();
ob_end_clean();

require_once(THEMEPATH."themepage.php");

endif; //END NO DOWNLOAD;
?>

