<?php
require_once("inc_init.php");
echo "READMAIL.php";
//MOVE THIS STUFF TO INIT...
$hostname = '{outlook.office365.com:993/ssl/novalidate-cert}INBOX';
$username = 'aetna-payflex_fulfill@theygsgroup.com';
$password = 'Ch@ng3m3';

$inbox = imap_open($hostname,$username,$password) or die('Cannot connect to Outlook: ' . imap_last_error());
$imaplist=imap_list($inbox, "{outlook.office365.com:993/ssl/novalidate-cert}", "aetna-payflex_fulfill");
$emails = imap_search($inbox,'SUBJECT "Open enrollment material request from payflex.com" SINCE "8 September 2015"'); //SINCE LAST UPDATED DATE...

$arrorders=array();
$curorder=array();

if($emails) {
	$output = '';
	rsort($emails);
	foreach($emails as $email_number) {
		 $curorder=array();
		 $overview = imap_fetch_overview($inbox,$email_number,0);
		 $message = imap_fetchbody($inbox,$email_number,1);
		 $dom = new DOMDocument;
		 $dom->loadHTML($message);
		 $xpath = new DOMXPath($dom);
		 
		 $nodelistA = $xpath->query("/html/body/div/table/tbody/tr/td/table/tbody/tr/td/*");
		 $i=0;

		 
		 
		 
		 //Shipping info:
		 $strShip=$nodelistA->item(0)->nodeValue;
		$curorder["shipCoName"]=parseString($strShip,"Company:","Attention:");
		$curorder["shipAttnName"]=parseString($strShip,"Attention:","Email:");
		$curorder["shipEmail"]=parseString($strShip,"Email:","Address:");
		$curorder["shipAddr1"]=parseString($strShip,"Address:","City, State, ZIP:");
		$curorder["shipCityStateZip"]=parseString($strShip,"City, State, ZIP: ","\n");
		 
		 
		 //Contact iNfo:
		 $strContact=$nodelistA->item(1)->nodeValue;
		$curorder["contName"]=parseString($strContact,"Client Contact:","Email:");
		$curorder["contEmail"]=parseString($strContact,"Email:","Phone number: ");
		$curorder["contPhone"]=parseString($strContact,"Phone number:","PayFlex Account Manager:");
		$curorder["contPFAM"]=parseString($strContact,"PayFlex Account Manager:","Requested by:");
		$curorder["contRequested"]=parseString($strContact,"Requested by:","Contact Phone Number:");
		$curorder["contPhoneContact"]=parseString($strContact,"Contact Phone Number:","\n");
		
	    $nodelistB = $xpath->query("/html/body/div/table/tbody/*");
		$nodelistC= $xpath->query("/html/body/div/table/tbody/td/div/*");
		
		$strFields=$nodelistB->item(1)->nodeValue;
		$strGiveaways=$nodelistB->item(2)->nodeValue;
		$intGiveaways=intval(substr($strGiveaways,stripos($strGiveaways,"Quantity:")+9));
		 
		$curorder["addtIsMtg"]=parseString($strFields,"Are you using these materials for a benefit fair or enrollment meeting?","Requested Arrival Date:");
		$curorder["addtRequestedDate"]=parseString($strFields,"Requested Arrival Date:","Comments/Special Instructions:");
		$curorder["addtlPFGiveaways"]=$intGiveaways;
		$curorder["addtlComment"]=parseString($strFields,"Comments/Special Instructions:","\n");
		
		//PRODUCTS:
		$nodelistX=$xpath->query("/html/body/div/table/tbody/tr[4]/td/table/tbody/tr");	
		$arrProds=array();
		$header=true;
		foreach($nodelistX as  $n){
			$prod = $xpath->query("td", $n)->item(0)->nodeValue;
			$qty=$xpath->query("td", $n)->item(1)->nodeValue;
			//echo "Product:".$prod."  ".$qty."<br/>";
			if(!$header){
				//echo trim($prod)."=".intval($qty);
				$arrProds[trim($prod)]=intval($qty);
			}
			$header=false;
		}
		//[MCR]: This isn't super efficient.. better to not use the curorder array at all...
		$curorder["products"]=$arrProds;
		$arrorders[]=$curorder;
		
		$order=new order();
		$order->shipCoName=$curorder["shipCoName"];
		$order->shipAttnName=$curorder["shipAttnName"];
		$order->shipEmail=$curorder["shipEmail"];
		$order->shipAddr1=$curorder["shipAddr1"];
		$order->shipCityStateZip=$curorder["shipCityStateZip"];
		$order->contName=$curorder["contName"];
		$order->contEmail=$curorder["contEmail"];
		$order->contPhone=$curorder["contPhone"];
		$order->contPFAM=$curorder["contPFAM"];
		$order->contRequested=$curorder["addtRequestedDate"];
		$order->contPhoneContact=$curorder["contPhoneContact"];
		$order->addtIsMtg=$curorder["addtIsMtg"];
		$order->addtRequestedDate=$curorder["addtRequestedDate"];
		$order->addtlPFGiveaways=$curorder["addtlPFGiveaways"];
		$order->addtComment=$curorder["addtlComment"];
		$order->prodHSAFlyer=$arrProds["HSA Flyer"];
		$order->prodHSALPFSAFlyer=$arrProds["HSA & LPFSA Flyer"];
		$order->prodFSAFlyer=$arrProds["FSA Flyer"];
		$order->prodPFCardFlyer=$arrProds["PayFlex Card Flyer"];
		$order->prodCommuterBenefitsFlyer=$arrProds["Commuter Benefits Flyer"];
		$order->prodHSASpanishFlyer=$arrProds["Spanish HSA Flyer"];
		$order->prodFSASpanishFlyer=$arrProds["Spanish FSA Flyer"];
		$order->prodPFSPanishPFCardFlyer=$arrProds["Spanish PayFlex Card Flyer"];
		$order->prodCommuterSpanishFlyer=$arrProds["Spanish FCommuter Flyer"];
		$order->create();
		
	}
	
	
	print_r($arrorders);
} 
function parseString($str,$start,$finish){
  $strFin=substr($str , stripos($str,$start),(strrpos($str,$finish) - stripos($str,$start)));//substring of the start word to the end word.
  $strFin=str_replace($start,"",$strFin);//remove the start word
  $strFin=trim($strFin);//trim whitespace
  return $strFin;
}
/* close the connection */
imap_close($inbox);

?>