<?php
class ReadObjects
{
  var $soapclient;
  var $typeStructs; 

  function ReadObjects()
  {
  
	$wsdl_location = "http://".$GLOBALS['apiusername'].":".$GLOBALS['apipassword']."@".$GLOBALS['epacehost']."/rpc/services/ReadObject?wsdl";
	$location = "http://".$GLOBALS['epacehost']."/rpc/services/ReadObject"; 
	
    $this->soapclient = new SoapClient($wsdl_location, array("trace"=> 1,'login' => $GLOBALS['apiusername'], 'password' => $GLOBALS['apipassword'], 'location' => $location));  
	$this->typeStructs = $this->soapclient->__getTypes() ;	
  }
  
  function getObject($objectname, $pkfield, $value) {
	
	$OBJ_NAME = ucfirst($objectname);
	$PROX = makeProxyObject($OBJ_NAME, current(preg_grep("/struct $OBJ_NAME {/", $this->typeStructs)));

	$funcName= "read". $OBJ_NAME;
  	
	//echo "pkfield = $pkfield <BR>";
	$PROX->$pkfield=$value;
	
	$obj = $this->soapclient->$funcName( array($objectname => (array) $PROX ));
	$return_object = $obj->out;
	
	foreach (array_keys((array)$PROX) as $property ) {
	
	
	 if ( ! property_exists($return_object, $property)) {
	     $return_object->$property=$PROX->$property;
	
	}}
	
    return $return_object;
	
  }
  
  function getObjectByOperation($objectname, $pkfield, $value, $funcName) {
  	$obj = $this->soapclient->$funcName( array($objectname => array ($pkfield => $value )));
	 return $obj->out;
  }
  function getCompositeKeyObject($key, $arr, $funcName) {
    $obj = $this->soapclient->$funcName( array($key => $arr));
    return $obj->out;
  }

  function debug() {
  
     echo "<BR><BR>";
     echo "BEGIN DEBUG<BR>";
      echo htmlentities($this->soapclient->__getLastRequest());
echo "<BR><BR>";
		
	echo htmlentities($this->soapclient->__getLastResponse());
	
	
	echo "<BR><BR>";
	echo "END DEBUG<BR>";
  }
}
function showALL($value) {
  if ($value) 
    foreach ($value as $keya=>$valb) 
      print "$keya=$valb<br>";
  else
    print "No values to display. <br>";
}

function makeProxyObject($name, $structString)
{
   #echo "name: $name <BR>";
   #echo "struct: $structString <BR>";
   
	$OBJECT_NAME = substr($structString, 7, strpos($structString,'{') - 8);
	$OBJECT_STRUCT_STR = trim(trim(trim( strstr($structString, '{') , '{}' )),';');
	#var_dump($OBJECT_STRUCT_STR); echo "<BR><BR>";
	$SCHEMA_ARR = explode(';', $OBJECT_STRUCT_STR );

	$RESULT_OBJ = new stdClass;

	foreach ($SCHEMA_ARR as $a) {

		$element = explode(' ', trim($a));
		$dataType = $element[0];
		$fieldName = $element[1];

		if ($dataType == "boolean") {
			$RESULT_OBJ->$fieldName=False;
		}
		else {
		$RESULT_OBJ->$fieldName="";
		}

	}
	return $RESULT_OBJ;
}
?>