<?php
class order{
	public $id;
	public $shipCoName;
	public $shipAttnName;
	public $shipEmail;
	public $shipAddr1;
	public $shipCityStateZip;
	public $contName;
	public $contEmail;
	public $contPhone;
	public $contPFAM;
	public $contRequested;
	public $contPhoneContact;
	public $addtIsMtg;
	public $addtRequestedDate;
	public $addtlPFGiveaways;
	public $addtComment;
	public $prodHSAFlyer;
	public $prodHSALPFSAFlyer;
	public $prodFSAFlyer;
	public $prodPFCardFlyer;
	public $prodCommuterBenefitsFlyer;
	public $prodHSASpanishFlyer;
	public $prodFSASpanishFlyer;
	public $prodPFSPanishPFCardFlyer;
	public $prodCommuterSpanishFlyer;
	public $arrOrders=array();
	public $datStart;
	public $datEnd;
	
	function __construct($id="") {
		$datYesterday = new DateTime('yesterday');
		$datToday = new DateTime();
		$this->datStart=$datYesterday->format('Y-m-d');
		$this->datEnd=$datToday->format('Y-m-d');
		
		if(!empty($id)){
			$this->id=$id;
			$this->getByID();
			$this->getAllByDates();
		}
		
	}

	public function getByID(){
		try {
			$sql=sprintf("SELECT  `id`, `shipCoName`, `shipAttnName`, `shipEmail`, `shipAddr1`, `shipCityStateZip`, `contName`, `contEmail`, `contPhone`, `contPFAM`, `contRequested`, `contPhoneContact`, `addtIsMtg`, `addtRequestedDate`, `addtlPFGiveaways`, `addtComment`, `prodHSAFlyer`, `prodHSALPFSAFlyer`, `prodFSAFlyer`, `prodPFCardFlyer`, `prodCommuterBenefitsFlyer`, `prodHSASpanishFlyer`, `prodFSASpanishFlyer`, `prodPFSPanishPFCardFlyer`, `prodCommuterSpanishFlyer` FROM `T_ORDERS` WHERE `id`='%d'",
						mysql_real_escape_string($this->id)
						);
		    $result=mysql_query($sql);
			while ($row = mysql_fetch_assoc($result)) {
			$this->id=$row['id'];
			$this->shipCoName=$row['shipCoName'];
			$this->shipAttnName=$row['shipAttnName'];
			$this->shipEmail=$row['shipEmail'];
			$this->shipAddr1=$row['shipAddr1'];
			$this->shipCityStateZip=$row['shipCityStateZip'];
			$this->contName=$row['contName'];
			$this->contEmail=$row['contEmail'];
			$this->contPhone=$row['contPhone'];
			$this->contPFAM=$row['contPFAM'];
			$this->contRequested=$row['contRequested'];
			$this->contPhoneContact=$row['contPhoneContact'];
			$this->addtIsMtg=$row['addtIsMtg'];
			$this->addtRequestedDate=$row['addtRequestedDate'];
			$this->addtlPFGiveaways=$row['addtlPFGiveaways'];
			$this->addtComment=$row['addtComment'];
			$this->prodHSAFlyer=$row['prodHSAFlyer'];
			$this->prodHSALPFSAFlyer=$row['prodHSALPFSAFlyer'];
			$this->prodFSAFlyer=$row['prodFSAFlyer'];
			$this->prodPFCardFlyer=$row['prodPFCardFlyer'];
			$this->prodCommuterBenefitsFlyer=$row['prodCommuterBenefitsFlyer'];
			$this->prodHSASpanishFlyer=$row['prodHSASpanishFlyer'];
			$this->prodFSASpanishFlyer=$row['prodFSASpanishFlyer'];
			$this->prodPFSPanishPFCardFlyer=$row['prodPFSPanishPFCardFlyer'];
			$this->prodCommuterSpanishFlyer=$row['prodCommuterSpanishFlyer'];
			}
			mysql_free_result($result);
			return true;
		}
		catch(Exception $e){
			return false;
		}
	}

	public function getAll(){
    	try {
			$sql = "SELECT  `id`, `shipCoName`, `shipAttnName`, `shipEmail`, `shipAddr1`, `shipCityStateZip`, `contName`, `contEmail`, `contPhone`, `contPFAM`, `contRequested`, `contPhoneContact`, `addtIsMtg`, `addtRequestedDate`, `addtlPFGiveaways`, `addtComment`, `prodHSAFlyer`, `prodHSALPFSAFlyer`, `prodFSAFlyer`, `prodPFCardFlyer`, `prodCommuterBenefitsFlyer`, `prodHSASpanishFlyer`, `prodFSASpanishFlyer`, `prodPFSPanishPFCardFlyer`, `prodCommuterSpanishFlyer` FROM `T_ORDERS` ORDER BY `T_ORDERS`.`datPlaced` DESC "; //ORDER BY?
			$result=mysql_query($sql);
			while ($row = mysql_fetch_assoc($result)) {
	    		$this->arrOrders[]=$row;
			}
			mysql_free_result($result);
			return true;
		}
		catch(Exception $e){
			return false;
		}
    }
	public function getAllByDates(){
    	try {
			$sql = sprintf("SELECT  `id`, `shipCoName`, `shipAttnName`, `shipEmail`, `shipAddr1`, `shipCityStateZip`, `contName`, `contEmail`, `contPhone`, `contPFAM`, `contRequested`, `contPhoneContact`, `addtIsMtg`, `addtRequestedDate`, `addtlPFGiveaways`, `addtComment`, `prodHSAFlyer`, `prodHSALPFSAFlyer`, `prodFSAFlyer`, `prodPFCardFlyer`, `prodCommuterBenefitsFlyer`, `prodHSASpanishFlyer`, `prodFSASpanishFlyer`, `prodPFSPanishPFCardFlyer`, `prodCommuterSpanishFlyer` FROM `T_ORDERS` WHERE `T_ORDERS`.`datPlaced` BETWEEN '%s' AND '%s'  ORDER BY `T_ORDERS`.`datPlaced` DESC  ",
					mysql_real_escape_string($this->datStart),
					mysql_real_escape_string($this->datEnd)
				); //ORDER BY?
			$result=mysql_query($sql);
			while ($row = mysql_fetch_assoc($result)) {
	    		$this->arrOrders[]=$row;
			}
			mysql_free_result($result);
			return true;
		}
		catch(Exception $e){
			return false;
		}
    }
	public function create(){
		try {
			$sql=sprintf("INSERT INTO `T_ORDERS`( `shipCoName`, `shipAttnName`, `shipEmail`, `shipAddr1`, `shipCityStateZip`, `contName`, `contEmail`, `contPhone`, `contPFAM`, `contRequested`, `contPhoneContact`, `addtIsMtg`, `addtRequestedDate`, `addtlPFGiveaways`, `addtComment`, `prodHSAFlyer`, `prodHSALPFSAFlyer`, `prodFSAFlyer`, `prodPFCardFlyer`, `prodCommuterBenefitsFlyer`, `prodHSASpanishFlyer`, `prodFSASpanishFlyer`, `prodPFSPanishPFCardFlyer`, `prodCommuterSpanishFlyer`) VALUES( '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s')",						
				mysql_real_escape_string($this->shipCoName),
				mysql_real_escape_string($this->shipAttnName),
				mysql_real_escape_string($this->shipEmail),
				mysql_real_escape_string($this->shipAddr1),
				mysql_real_escape_string($this->shipCityStateZip),
				mysql_real_escape_string($this->contName),
				mysql_real_escape_string($this->contEmail),
				mysql_real_escape_string($this->contPhone),
				mysql_real_escape_string($this->contPFAM),
				mysql_real_escape_string($this->contRequested),
				mysql_real_escape_string($this->contPhoneContact),
				mysql_real_escape_string($this->addtIsMtg),
				mysql_real_escape_string($this->addtRequestedDate),
				mysql_real_escape_string($this->addtlPFGiveaways),
				mysql_real_escape_string($this->addtComment),
				mysql_real_escape_string($this->prodHSAFlyer),
				mysql_real_escape_string($this->prodHSALPFSAFlyer),
				mysql_real_escape_string($this->prodFSAFlyer),
				mysql_real_escape_string($this->prodPFCardFlyer),
				mysql_real_escape_string($this->prodCommuterBenefitsFlyer),
				mysql_real_escape_string($this->prodHSASpanishFlyer),
				mysql_real_escape_string($this->prodFSASpanishFlyer),
				mysql_real_escape_string($this->prodPFSPanishPFCardFlyer),
				mysql_real_escape_string($this->prodCommuterSpanishFlyer),
				mysql_real_escape_string($this->id)
				);
		    mysql_query($sql);
		    $this->id = mysql_insert_id();
			return true;
		}
		catch(Exception $e){
			return false;
		}
	}
	public function update(){
		try {
			$sql=sprintf("UPDATE `T_ORDERS` SET  `shipCoName`='%s', `shipAttnName`='%s', `shipEmail`='%s', `shipAddr1`='%s', `shipCityStateZip`='%s', `contName`='%s', `contEmail`='%s', `contPhone`='%s', `contPFAM`='%s', `contRequested`='%s', `contPhoneContact`='%s', `addtIsMtg`='%s', `addtRequestedDate`='%s', `addtlPFGiveaways`='%s', `addtComment`='%s', `prodHSAFlyer`='%s', `prodHSALPFSAFlyer`='%s', `prodFSAFlyer`='%s', `prodPFCardFlyer`='%s', `prodCommuterBenefitsFlyer`='%s', `prodHSASpanishFlyer`='%s', `prodFSASpanishFlyer`='%s', `prodPFSPanishPFCardFlyer`='%s', `prodCommuterSpanishFlyer`='%s' WHERE `id`='%d'",
				mysql_real_escape_string($this->shipCoName),
				mysql_real_escape_string($this->shipAttnName),
				mysql_real_escape_string($this->shipEmail),
				mysql_real_escape_string($this->shipAddr1),
				mysql_real_escape_string($this->shipCityStateZip),
				mysql_real_escape_string($this->contName),
				mysql_real_escape_string($this->contEmail),
				mysql_real_escape_string($this->contPhone),
				mysql_real_escape_string($this->contPFAM),
				mysql_real_escape_string($this->contRequested),
				mysql_real_escape_string($this->contPhoneContact),
				mysql_real_escape_string($this->addtIsMtg),
				mysql_real_escape_string($this->addtRequestedDate),
				mysql_real_escape_string($this->addtlPFGiveaways),
				mysql_real_escape_string($this->addtComment),
				mysql_real_escape_string($this->prodHSAFlyer),
				mysql_real_escape_string($this->prodHSALPFSAFlyer),
				mysql_real_escape_string($this->prodFSAFlyer),
				mysql_real_escape_string($this->prodPFCardFlyer),
				mysql_real_escape_string($this->prodCommuterBenefitsFlyer),
				mysql_real_escape_string($this->prodHSASpanishFlyer),
				mysql_real_escape_string($this->prodFSASpanishFlyer),
				mysql_real_escape_string($this->prodPFSPanishPFCardFlyer),
				mysql_real_escape_string($this->prodCommuterSpanishFlyer),
				mysql_real_escape_string($this->id)
				);
		    mysql_query($sql);
			return true;
		}
		catch(Exception $e){
			return false;
		}
	}
	public function delete(){
		try {
			$sql=sprintf("DELETE FROM `T_ORDERS` WHERE `id`='%d'",
						mysql_real_escape_string($this->id)
						);
		    mysql_query($sql);
			return true;
		}
		catch(Exception $e){
			return false;
		}
	}
	
	


}
?>