<?php
  /**
  * Exaples PeyFlow Pro - PHP - Curl
  * API rebuild by Radu Manole, radu@u-zine.com, 03-2007
  */

  require('payflow_curl.php');
      
  //$payflow = new payflow($_POST['VENDOR'], $_POST['USER'], $_POST['PARTNER'], $_POST['PWD']);
  $payflow = new payflow('ygsadmin', 'ygsadmin', 'PayPal', 'cr3@t1v3');

  

  if ($payflow->get_errors()) {
    echo $payflow->get_errors();
	echo "1st error function hit";
    exit;
  } 
  
  if ($_POST['TRXTYPE'] == 'S') {

    /**
    * Sale Transactions
    * params: card number, card expire date, amount, currency (default USD), extra parameters
    * return: success: response array, fail: false - error message
    */  
  
    // extra params 
    $data_array = array('comment1' => 'Sale order',
                        'firstname' => 'John',
                        'lastname' => 'Doe',
                        'street' => 'Oak Streen 123',
                        'city' => 'San Francisco',
                        'state' => 'CA',
                        'zip' => '210202',
                        'country' => 'US', // iso codes
                        'cvv' => '423', // for cvv validation response
                        'clientip' => '0.0.0.0'
                        ); 
    $result = $payflow->sale_transaction($_POST['ACCT'], $_POST['EXPDATE'], $_POST['AMT'], $_POST['currency'], $_POST['CVV2'], $data_array);
    if (!$payflow->get_errors()) {
      var_dump($result); // save in local app
	  echo "function hit";
	  //http_redirect("../thankyou.php", null, true, HTTP_REDIRECT_PERM);
    } else {  
		echo "2nd error function hit";
		echo $payflow->get_errors();
    }

  } 
  
  
  
?>